Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class SystemEventConnectionFailure

    java.lang.Object
      com.nortel.soa.oi.cct.types.SystemEventConnectionFailure

    public class SystemEventConnectionFailure

extends java.lang.Object

Java class for systemEventConnectionFailure complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="systemEventConnectionFailure">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="downTimeInMillis" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="totalFailures" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="consecutiveFailures" type="{http://www.w3.org/2001/XMLSchema}int"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`SystemEventConnectionFailure()`

Method Summary
`int` | `getConsecutiveFailures()` Gets the value of the consecutiveFailures property.
`long` | `getDownTimeInMillis()` Gets the value of the downTimeInMillis property.
`int` | `getTotalFailures()` Gets the value of the totalFailures property.
`void` | `setConsecutiveFailures(int value)` Sets the value of the consecutiveFailures property.
`void` | `setDownTimeInMillis(long value)` Sets the value of the downTimeInMillis property.
`void` | `setTotalFailures(int value)` Sets the value of the totalFailures property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemEventConnectionFailure

    public SystemEventConnectionFailure()

Method Detail

### getDownTimeInMillis

    public long getDownTimeInMillis()

  Gets the value of the downTimeInMillis property.

### setDownTimeInMillis

    public void setDownTimeInMillis(long value)

  Sets the value of the downTimeInMillis property.

### getTotalFailures

    public int getTotalFailures()

  Gets the value of the totalFailures property.

### setTotalFailures

    public void setTotalFailures(int value)

  Sets the value of the totalFailures property.

### getConsecutiveFailures

    public int getConsecutiveFailures()

  Gets the value of the consecutiveFailures property.

### setConsecutiveFailures

    public void setConsecutiveFailures(int value)

  Sets the value of the consecutiveFailures property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.